<script lang="ts">
import Vue from 'vue';
import { init, refresh } from 'aos';
import { getPageMetadata } from '~/common/meta';
import { NextStep } from '~/components/common/index.vue';

export default Vue.extend({
  components: {
    NextStep,
  },
  async asyncData({ $content, params, error }: any) {
    try {
      const security = await $content(
        `security/${params.security ? params.security : 'index'}`,
      ).fetch();
      return { security };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head() {
    return getPageMetadata((this as any).security, this.$route.path);
  },
  beforeMount() {
    init({
      once: true,
    });
  },
  mounted() {
    refresh();
  },
});
</script>

<template>
  <div class="security-wrapper">
    <component
      :is="component.name"
      v-for="component in security.components"
      :key="component.name"
      :data="component.data"
    />
    <NextStep />
  </div>
</template>
<style scoped lang="scss">
.security-wrapper {
  overflow: hidden;
}
</style>
